## sbackup 0.8-1

=== debian/changelog ===
sbackup (0.8-1) unstable; urgency=low

  * Fix binary paths in .menu entries to sbin (Closes: #324781)
  * Use "." instead of ":" in all directory names (Closes: #325431)
  * Fix a bug with first item of file format exclusion list (Closes: #325426)

 -- Aigars Mahinovs <aigarius@debian.org>  Sat,  03 Sep 2005 23:14:23 +0300

sbackup (0.7-2) unstable; urgency=low

  * Also fix the config applet to work in sarge
  * Move the restore icon to System->Administration menu too
  * First upload to Debian unstable :)

 -- Aigars Mahinovs <aigarius@debian.org>  Wed,  20 Aug 2005 00:14:23 +0300

sbackup (0.7-1) unstable; urgency=low

  * Fix and reenable remote restore. It is still heal of a slow, but it works
  * Add empty directories to a full backup
  * Stop using pythons tarfile module on backup
  * Interface to systems 'tar' tool - double speedup, 10 times less memory used
  * Reduce memory usage by factor of 3 on restore and restore GUI
  * target directories are checked for validity, so interrupted backup no longer
    breaks other backups
  * Cache all files locally on remote backup - gnomevfs is very slow on small updates
  * A new tool added to upgrade backup directory formats
  * Gnome Restore tool now automatically asks to upgrade old backup directories

 -- Aigars Mahinovs <aigarius@debian.org>  Wed,  17 Aug 2005 00:01:23 +0300

sbackup (0.5-1) unstable; urgency=low

  * Added the restore GUI: simple-restore-gnome
  * Added the command-line: srestore.py (Also a python module for restoring)
  * Only backup directories if there are files inside
  * Minimize usage of /tree file (planned for removal, with compartibility)
  * Usability adjustments to the config gui
  * Improved configuration defaults
  * Improved backup algorithm - now only folders with changes are included in
    the backup archive
  * NOTE: remote restore is *not* supported in this version

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 10 Aug 2005 20:21:20 +0300

sbackup (0.4-1) unstable; urgency=low

  * Adjustments to Gnome capplets Target tab
  * Write username to cron.d file (was breaking automatic backups)

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  8 Aug 2005 20:00:00 +0300

sbackup (0.3-1) unstable; urgency=low

  * Initial release

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  7 Aug 2005 20:01:33 +0300
