## sbackup 0.9-1~breezy1

=== debian/changelog ===
sbackup (0.9-1~breezy1) breezy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Tue, 13 Dec 2005 20:11:02 +0000

sbackup (0.9-1) unstable; urgency=low

  * document all the TODOs and plans
  * backup all files if maxsize=-1 (SF:1324065)
  * fixed many bugs with the root directory enabled for backup
  * fixed an exception with remote target testing (Closes: #329341)
  * secure backup permissions - now all files are 0600 (Ubuntu: #3177)
  * also rename remote directories to get rid of ":" in filename
  * upgrade backup directories before each backup run

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  20 Nov 2005 04:14:23 +0300
