## sbackup 0.9-1

=== Makefile ===
BIN = $(DESTDIR)/usr/sbin
SUPPORT = $(DESTDIR)/usr/share/sbackup
DOC = $(DESTDIR)/usr/share/doc/sbackup

default:

install:
	install -d $(BIN) $(SUPPORT) $(DOC)
	install ./sbackupd $(BIN)
	install ./simple-backup-config $(BIN)
	install ./simple-restore-gnome $(BIN)
	install ./srestore.py $(BIN)
	install ./upgrade_backups.py $(BIN)
#	install ./simple-backup-tocd $(BIN)
	install -m644 simple-backup-config.glade $(SUPPORT)
	install -m644 sbackup-conf.png $(SUPPORT)
	install -m644 sbackup-restore.png $(SUPPORT)
	install -m644 sbackup.desktop $(DESTDIR)/usr/share/applications/
	install -m644 srestore.desktop $(DESTDIR)/usr/share/applications/
	install -m644 simple-restore.glade $(SUPPORT)
#	install -m644 simple-backup-tocd.glade $(SUPPORT)
	install -m600 sbackup.conf.example $(DESTDIR)/etc/sbackup.conf

clean:
