## sbackup 0.10.3

=== debian/changelog ===
sbackup (0.10.3) unstable; urgency=high

  * Fix an Ubuntu-izm that creeped into the permissions (Closes: #391539)

 -- Aigars Mahinovs <aigarius@debian.org>  Fri, 06 Oct 2006 16:55:10 +0100

sbackup (0.10.2) unstable; urgency=high

  * "Simple fixes for simple but annoying bugs" release - intended to go 
    into Etch and Edgy.
  * Manage /etc/sbackup.conf and /etc/cron.d/sbackup as config files, but
    not as conffiles, to remove unneeded "config changes upstream" prompt
    on upgrade. SBackup can handle old config gracefuly.
  * Brown paperbag one-liner fix on incremental backup time not being counted 
    properly causing incremental backups to be done all the time.
  * Reduce nice level of sbackupd process to lowest possible priority (+19)
  * An empty regex matches everything, so avoid those

 -- Aigars Mahinovs <aigarius@debian.org>  Fri, 06 Oct 2006 16:55:10 +0100

sbackup (0.10-1) unstable; urgency=low

  * Added i18n support from Jonh Wendell
  * Added Portuguese translation by Jonh Wendell
  * Adjusts in Makefile, support to uninstall and another prefix,
    rather than /usr (SF:1376603) - wendell
  * fix problem with spaces in target dir (SF:1508991) - wendell
  * Add command-line option parsing support from Andreas Sliwka
  * Improve parsing of cron timelines with added custom option
    (Ubuntu: #5720)
  * Separate filenames in metadata with NULL instead of a newline
    (Closes: #349700)
  * Critical pseydofilesystems are explicitly excluded (Closes: #340115)
  * Command line tar is used and is trying to be robust agaist race
    conditions (Closes: #328824)
  * Ability to edit filenames, paths and regexp directly in the cells - wendell
  * Purge old backup snapshots in smart and simple way (Yay!)
  * Really test the writability of a directory by writing into it.
    Solves several permission related errors, especially in remote backups.
  * Improved restore window interface - wendell
  * Rewriten restore backend fixes bugs while restoring files beyond 2Gb
    limit and speeds up the restore 2-3 times

 -- Aigars Mahinovs <aigarius@debian.org>  Tue, 08 Aug 2006 16:55:10 +0100
