=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	#$(MAKE)
 
 	touch build-stamp
 
@@ -55,8 +55,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/sbackup.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup
-	mkdir -p debian/sbackup/usr/share/man/man8/
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup/usr PREFIX=/usr
+	install -d $(CURDIR)/debian/sbackup/usr/share/man/man8/
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/sbackupd.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/srestore.py.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/simple-backup-config.8.gz
