## sbackup 0.10.3-0.1

=== Makefile ===
PO = pt_BR lv nl es sv

DESTDIR = /usr/local
PREFIX = /usr/local
BIN = $(DESTDIR)/sbin/
SUPPORT = $(DESTDIR)/share/sbackup/
DOC = $(DESTDIR)/share/doc/sbackup/
PIXDIR = $(DESTDIR)/share/pixmaps/

all:

default:

install: po-data install-po 
	install -d $(BIN) $(SUPPORT) $(DOC) $(PIXDIR) $(DESTDIR)/share/applications $(DESTDIR)/etc
	install ./sbackupd $(BIN)
	install ./simple-backup-config $(BIN)/simple-backup-config
	install ./simple-restore-gnome $(BIN)/simple-restore-gnome
	install ./srestore.py $(BIN)/srestore.py
	install ./upgrade_backups.py $(BIN)/upgrade_backups.py
#	install ./simple-backup-tocd $(BIN)
	install -m644 simple-backup-config.glade $(SUPPORT)
	install -m644 sbackup-conf.png $(PIXDIR)
	install -m644 sbackup-restore.png $(PIXDIR)
	install -m644 sbackup.desktop $(DESTDIR)/share/applications/
	install -m644 srestore.desktop $(DESTDIR)/share/applications/
	install -m644 simple-restore.glade $(SUPPORT)
#	install -m644 simple-backup-tocd.glade $(SUPPORT)
ifeq ($(DESTDIR),/usr/local/)
	install -b -m600 sbackup.conf.example /etc/sbackup.conf
	@echo "[places]" >> /etc/sbackup.conf
	@echo "prefix=$(PREFIX)" >> /etc/sbackup.conf
endif

uninstall:
	rm -f $(BIN)/sbackupd
	rm -f $(BIN)/simple-backup-config
	rm -f $(BIN)/simple-restore-gnome
	rm -f $(BIN)/srestore.py
	rm -f $(BIN)/upgrade_backups.py
	rm -rf $(SUPPORT)
	rm -rf $(DOC)
	rm -f $(DESTDIR)/share/applications/sbackup.desktop
	rm -f $(DESTDIR)/share/applications/srestore.desktop
	rm -f $(DESTDIR)/etc/sbackup.conf

clean:
	for lang in $(PO); do rm -rf po/$$lang ; done
	-rm -f *.pyc
	-rm -f po/*~
	-rm -f *.gladep
	-rm -f *~ *.bak

install-po:
	for lang in $(PO); do install -d $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/ ; done
	for lang in $(PO); do install -m 644 po/$$lang/LC_MESSAGES/* $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/ ; done

po-dir:
	for lang in $(PO); do mkdir -p po/$$lang/LC_MESSAGES/ ; done

po-data: po-dir
	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang/LC_MESSAGES/sbackup.mo ; done

po-gen:
	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config simple-restore-gnome srestore.py upgrade_backups.py 
	xgettext -k_ -kN_ -o po/messages.pot -j -L Glade simple-backup-config.glade simple-restore.glade
	for lang in $(PO); do msgmerge -U po/$$lang.po po/messages.pot; done
