=== debian/changelog ===
sbackup (0.10.3-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * remove /usr/etc. Closes: #399762

 -- Andreas Barth <aba@not.so.argh.org>  Mon,  4 Dec 2006 16:23:27 +0000
