## sbackup 0.10.4~feisty1

=== debian/changelog ===
sbackup (0.10.4~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Wed,  5 Sep 2007 10:02:23 +0100

sbackup (0.10.4) unstable; urgency=low

  * Official release.
  * fix a bug preventing simple-backup-config to resolve anacron monthly
  * Ubuntu Bug #67814 - fixed permission problems with remote backups
  
  * gksu is used instead of gksudo (Closes: #327222)
  * Cron job is removed on package purge (Closes: #346097)
  * Should not crash on non-dirs in backup target (Closes: #391948)
  * Fixed typo in About (Closes: #414783)
  * Included Franch translation (Closes: #396059)
  * Updated all translations

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 19 May 2007 16:53:10 +0100

sbackup (0.10.4~beta10) unstable; urgency=low

  * Public beta release
  
 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 19 May 2007 16:53:10 +0100

sbackup (0.10.4~beta9) unstable; urgency=low

  * Gnomevfs doesn't close directory handler.
  * Hope this is the last beta
  * Resolved a bug when using ssh 
  * change some errors printing
  * admin GID is now get dynamically . 
  * Changed the right on the flist file to set read access to admin
  * Fixes a problem with incremental backups
  * Avoid usage of current dir for the lock file
  * Version on about window is set to 0.10.4
  * Bug #112540 fix : sbackup now runs under root:admin. directories are created with read access for admins
  * Bug #102577 fix : optimizing the backup process ( thanks to Oliver Gerlich )
  * A lot of bug fixes, This is just for testers

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat,  5 May 2007 20:02:31 +0200

sbackup (0.10.3-0.2) unstable; urgency=high

  * Enhancement. applied patch proposed by Oliver Gerlich. See: Bug #110113
  * Code cleaned to prevent warnings about non existing GTK components :
    see Bug #106818
  * Ensure that daily backups are not skipped if the system is off at the scheduled backup time

  * Created a sbackup script to install in /usr/share/sbackup/sbackup
  (this script is almost the same created by sbackup in /etc/cron.d/

  * Makefile :
  * add a flag to create non existing dirs
  * install the "sbackup" script in "/usr/share/sbackup/sbackup"

  * the python files have been renamed in *.py and the Makefile has been
   changed to be compliant -links are created into BIN without
   the py extention-

  * The About dialog now indicates Version 0.10.3 : Closes Bug #74963
  * French language support added

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat, 28 Apr 2007 10:08:29 +0200
