## sbackup 0.10.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-PO = pt_BR lv nl es sv
+PO = pt_BR lv nl es sv fr
 
-DESTDIR = /usr/local
+ifndef DESTDIR
+	DESTDIR = /usr/local
+endif 
+
 PREFIX = /usr/local
 BIN = $(DESTDIR)/sbin/
 SUPPORT = $(DESTDIR)/share/sbackup/
@@ -13,19 +16,25 @@
 
 install: po-data install-po 
 	install -d $(BIN) $(SUPPORT) $(DOC) $(PIXDIR) $(DESTDIR)/share/applications $(DESTDIR)/etc
-	install ./sbackupd $(BIN)
-	install ./simple-backup-config $(BIN)/simple-backup-config
-	install ./simple-restore-gnome $(BIN)/simple-restore-gnome
-	install ./srestore.py $(BIN)/srestore.py
-	install ./upgrade_backups.py $(BIN)/upgrade_backups.py
+	install ./sbackupd.py $(SUPPORT)
+	ln -s ../share/sbackup/sbackupd.py $(BIN)/sbackupd
+	install ./simple-backup-config.py $(SUPPORT)
+	ln -s ../share/sbackup/simple-backup-config.py $(BIN)/simple-backup-config
+	install ./simple-restore-gnome.py $(SUPPORT)
+	ln -s ../share/sbackup/simple-restore-gnome.py $(BIN)/simple-restore-gnome
+	install ./srestore.py $(SUPPORT)
+	ln -s ../share/sbackup/srestore.py $(BIN)/srestore.py
+	install ./upgrade_backups.py $(SUPPORT)
+	ln -s ../share/sbackup/upgrade_backups.py $(BIN)/upgrade_backups.py
 #	install ./simple-backup-tocd $(BIN)
-	install -m644 simple-backup-config.glade $(SUPPORT)
-	install -m644 sbackup-conf.png $(PIXDIR)
-	install -m644 sbackup-restore.png $(PIXDIR)
-	install -m644 sbackup.desktop $(DESTDIR)/share/applications/
-	install -m644 srestore.desktop $(DESTDIR)/share/applications/
-	install -m644 simple-restore.glade $(SUPPORT)
-#	install -m644 simple-backup-tocd.glade $(SUPPORT)
+	install -m644 -D simple-backup-config.glade $(SUPPORT)
+	install -m644 -D sbackup-conf.png $(PIXDIR)
+	install -m644 -D sbackup-restore.png $(PIXDIR)
+	install -m644 -D sbackup.desktop $(DESTDIR)/share/applications/
+	install -m644 -D srestore.desktop $(DESTDIR)/share/applications/
+	install -m644 -D simple-restore.glade $(SUPPORT)
+	install ./sbackup $(SUPPORT)
+#	install -m644 -D simple-backup-tocd.glade $(SUPPORT)
 ifeq ($(DESTDIR),/usr/local/)
 	install -b -m600 sbackup.conf.example /etc/sbackup.conf
 	@echo "[places]" >> /etc/sbackup.conf
@@ -62,6 +71,6 @@
 	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang/LC_MESSAGES/sbackup.mo ; done
 
 po-gen:
-	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config simple-restore-gnome srestore.py upgrade_backups.py 
+	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config.py simple-restore-gnome.py srestore.py upgrade_backups.py 
 	xgettext -k_ -kN_ -o po/messages.pot -j -L Glade simple-backup-config.glade simple-restore.glade
 	for lang in $(PO); do msgmerge -U po/$$lang.po po/messages.pot; done
