=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,7 @@
 
 	# Add here commands to install the package into debian/sbackup.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup/usr PREFIX=/usr
+	[ -d $(CURDIR)/debian/sbackup/usr/etc ] && rmdir $(CURDIR)/debian/sbackup/usr/etc
 	install -d $(CURDIR)/debian/sbackup/usr/share/man/man8/
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/sbackupd.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/srestore.py.8.gz
