## sbackup 0.10.4+ja-0ubuntu1

=== debian/changelog ===
sbackup (0.10.4+ja-0ubuntu1) hardy; urgency=low

  * add Japanese translation file

 -- Hajime Mizuno <mizuno@as.airnet.ne.jp>  Tue, 5 Aug 2008 22:25:01 +0900
