=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sbackup
 Section: admin
 Priority: optional
-Maintainer: Aigars Mahinovs <aigarius@debian.org>
+Maintainer: Hajime Mizuno <mizuno@as.airnet.ne.jp>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1
