## sbackup 0.10.5ubuntu2

=== debian/changelog ===
sbackup (0.10.5ubuntu2) intrepid; urgency=low

  * Replace depends on gksu and sudo with menu for su-to-root (LP: #260203)
    - Thanks to Marcel Stimberg for the fix

 -- Scott Kitterman <scott@kitterman.com>  Sat, 25 Oct 2008 23:58:15 -0400

sbackup (0.10.5ubuntu1) intrepid; urgency=low

  * Add Japanese translation. (LP: #280788)
    Thanks to Hajime Mizuno <mizuno@as.airnet.ne.jp>.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Thu, 09 Oct 2008 14:39:13 +0000

sbackup (0.10.5) unstable; urgency=medium
  
  * Update to use su-to-root (Closes: #479826)
  * Revert the group of all files to 'root' as there 
    is no common admin group (Closes: #427697)
  * Save partition information (Closes: #431068)
  * Remove *.pyc files on purge (Closes: #428022)
  * Exclude /home/*/.gvfs/ folders by default (Launchpad: #222898)
  * Fix a typo preventing logarithmic cleanup from 
    working (Closes: #447252) (Launchpad: #126278, #71698)
  * Fix a popup help type for SSH target recovery (Launchpad: #183650)
  * Check regex before adding it (Launchpad: #191127)
  * Add stop_if_no_target option to abort backups if the taget is
    on a removable drive that is not currently connected
  * Fully draw the "Restoring ..." info box before restoring a file

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 14 Jun 2008 22:53:10 +0100
