## sbackup 0.10.5ubuntu2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PO = pt_BR lv nl es sv fr
+PO = pt_BR lv nl es sv fr ja
 
 ifndef DESTDIR
 	DESTDIR = /usr/local
