=== debian/changelog ===
sbackup (0.10.5ubuntu2.1) lucid-proposed; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. (LP: #550261)
 
 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Wed, 12 May 2010 17:51:25 +0200
 
