## sbackup 0.10.5+nmu1

=== debian/changelog ===
sbackup (0.10.5+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * Add ${misc:Depends} to package dependencies to properly deal with
    dependencies triggerred by the use of debhelper utilities
  * Explicitly use 1.0 source format
  * Replace deprecated chown use in  postinst
  * Drop empty conffiles file
  * Fix pending l10n issues. Programs translations:
    - French. Closes: #431936
    - Portuguese. Closes: #568306

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Apr 2010 08:27:27 +0200
