=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: sbackup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aigars Mahinovs <aigarius@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
+Maintainer: Aigars Mahinovs <aigarius@debian.org>
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.3.0
 
 Package: sbackup
 Architecture: all
-Depends: python, python-gnome2, python-glade2, menu
+Depends: python, python-gnome2, python-glade2, gksu, sudo, ${misc:Depends}
 Description: Simple Backup Suite for desktop use
  Simple Backup Suite is a set of backend backup daemon and GNOME
  GUI frontends that provide a simple yet powerful backup
