=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/sbackup.
