=== debian/changelog ===
sbackup (0.11.3ubuntu1) maverick; urgency=low

  * [Fix] LP: #645543 "Cannot concatenate str and error object" error prevents
                      incremental backups
  * [Fix] LP: #648754 Can't mount ftp location: don't fail when gvfs-fuse is
                      not available; use it only if really required
  * [Fix] LP: #653577 Error 'iter should be a GtkTreeIter' when clicking on
                      Restore with no file selected
  * refer to dependend package 'gvfs-fuse' in install and readme file
  * translations updated
  * translations added: da,el,fa,is,ja,kk,ko,kw,ro,sr,sw

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Sun, 03 Oct 2010 20:43:39 +0200

sbackup (0.11.2ubuntu1) maverick; urgency=low

  * [Fix] LP: #638072 Exclude rules not working on some dirs
  * [Fix] LP: #634356 Exception on reading snapshots in restore ui
  * [Fix] LP: #634031 Default behavior incorrectly set to `Cancel` instead
                      of `Retry`
  * [Fix] LP: #632605 catch error while closing snapshot file over FTP
  * [Fix] LP: #642087 Log. purge not working under certain circumstances
  * Workaround for LP #640034 Setting status to attention does not change
                              to specified icon (indicator-application)
  * Fix: don't block restore gui on long running tasks
  * Fix: don't touch snapshots being upgraded from backup process

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Sat, 18 Sep 2010 18:44:57 +0200

sbackup (0.11.1ubuntu1) maverick; urgency=low

  * [Fix] LP: #587911 Logarithmic purge does not work
  * [Fix] LP: #622095 catch error when listing directory contents fails
  * [Fix]: revamped packaging: use distutils and pysupport

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Thu, 26 Aug 2010 22:44:48 +0200

sbackup (0.11.0ubuntu1) maverick; urgency=low

  * [Fix] LP: #618730 Merge sbackup and nssbackup (see enclosed file
                      nssbackup.ChangeLog for further information)
  * [Fix] LP: #604558 'abort backup' on exernal drives not possible
  * [Fix] LP: #412934 sbackup/nssbackup fails if exclude-path contains an
                      equal-sign
  * [Fix] LP: #277137 crashed with NoSpaceError: No space left on device
  * [Fix] LP: #328902 Spelling and wording errors
  * [Fix] LP: #130856 Show remaining time till backup is finished in UI
  * [Fix] LP: #267759 Simple Backup should display a progress bar
  * [Fix] LP: #137293 empty dialog when restoring with sbackup
  * [Fix] LP: #176838 Incremental backups should not appear incremental when
                      restoring
  * [Fix] LP: #254464 Password for SSH Do Not URI Encode
  * [Fix] LP: #489107 sbackup crahses: stop_if_no_target is not an option in
                      general
  * [Fix] LP: #504990 Mb used instead of MB in the application dialogs
  * [Fix] LP: #507175 libgnomevfs2-extra required for FTP backups
  * [Fix] LP: #310306 Error: no space left
  * [Fix] LP: #383383 restore crashes when the destination path or file is non
                      existent
  * [Fix] LP: #331551 Wrong original English text in sbackup po-file
  * [Fix] LP: #585769 default backup directory doesn't exist in ubuntu
  * translations updated

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Wed, 18 Aug 2010 15:55:28 +0200

sbackup (0.10.5+nmu1ubuntu2) maverick; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. Thanks to
    Jean-Peer Lorenz (LP: #550261)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 19 Aug 2010 11:14:55 +0200

sbackup (0.10.5+nmu1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Replace depends on gksu and sudo with menu for su-to-root
    - Add Japanese translation

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 May 2010 00:08:02 -0400
