=== debian/control ===
Source: sbackup
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simple Backup Maintainers <nssbackup-team@lists.launchpad.net>
Uploaders: Jean-Peer Lorenz <peer.loz@gmx.net>, Ouattara Oumar Aziz <wattazoum@gmail.com>
Build-Depends: debhelper (>= 7), python-support (>= 0.90), python
Standards-Version: 3.9.1

Package: sbackup
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject,
         gvfs, gvfs-fuse, gvfs-backends
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Recommends: sbackup-gtk(= ${binary:Version}), python-dbus, python-gconf
Description: Simple Backup Suite for desktop use (core functionality)
 Simple Backup Suite comprises of backend backup script and
 GNOME GUI frontends that provide a simple yet powerful backup
 solution for common desktop users.
 .
 Backups can be written to local directories or remote servers using
 GIO/GVFS technology. A fine control is possible regarding what
 folders and files to backup. Files can be excluded even with a set
 of regular expressions. Regular backups can be scheduled.
 .
 This package contains the minimum set of files to create backups
 from the commandline. It uses GIO/GVFS for access of remote backup
 destinations.

Package: sbackup-gtk
Architecture: all
Depends: sbackup(= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         libgtk2.0-bin,
         python-glade2,
         python-gtk2 (>= 2.10),
         python-gnome2,
         python-gobject,
         python-notify,
         gksu
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Recommends: python-dbus, python-appindicator
Description: Simple Backup Suite GTK+ graphical user interface
 Simple Backup Suite graphical user interface (GUI) written in 
 GTK+. This package installs the GTK+ GUI of Simple Backup Suite
 including a status indicator placed in panel when running backups.

Package: sbackup-plugins-fuse
Architecture: all
Depends: sbackup(= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         fuse-utils,
         curlftpfs,
         sshfs,
         python-pexpect
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Description: Simple Backup Suite FUSE plugins
 Simple Backup Suite plugins that use FUSE file systems. This
 optional package enables storage of backups on FTP/SFTP/SSH locations
 using FUSE.
 .
 Please note, that the core package already enables remote access by means of
 GIO/GVFS. This package is required only in case of explicit need
 for mounting external sites using SSHFS or CURLFTPFS.
