## sbackup 0.11.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Simple Backup - GNU Makefile
 #
-#   Copyright (c)2008-2010: Jean-Peer Lorenz <peer.loz@gmx.net>
+#   Copyright (c)2008-2011: Jean-Peer Lorenz <peer.loz@gmx.net>
 #   Copyright (c)2007-2010: Ouattara Oumar Aziz <wattazoum@gmail.com>
 #
 #   This program is free software; you can redistribute it and/or modify
@@ -34,7 +34,7 @@
 export GCONF_CONFIG_SOURCE=$(shell if test -x "$(gconftool)"; then $(gconftool) --get-default-source; fi)
 
 # available languages UI
-PO=ar bg ca cs de en_AU en_CA en_GB es fi fr gl he hu id it lv ms nb nl oc pl pt pt_BR ru sv tr uk zh_CN zh_TW da el fa is ja kk ko kw ro sr sw
+PO=ar bg ca cs de en_AU en_CA en_GB es fi fo fr gl he hu id it lv ms nb nl oc pl pt pt_BR ru sv tr uk zh_CN zh_TW da el fa is ja kk ko kw ro sr sw
 
 # available languages Help/Manual
 HELPLANG=C
