=== debian/changelog ===
sbackup (0.11.4-0ubuntu5) saucy; urgency=low

  * Depend on the new package name: fuse-utils is renamed to fuse.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 16:06:54 +0100

sbackup (0.11.4-0ubuntu4) oneiric; urgency=low

  * Apply patch from Simon Déziel to make the temp directory
    RWX only by owner instead of by all. (LP: #785495)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 20 Jul 2011 13:41:22 -0400

sbackup (0.11.4-0ubuntu3) oneiric; urgency=low

  * dh_python2 transition.
  * added dh_python2 to debian/rules.
  * debian/control
    - increased min debhelper to 7.0.50.
    - increased min python version to 2.6.6-3~.
    - added X-P-V >= 2.6.

 -- Charlie Smotherman <cjsmo@cableone.net>  Fri, 17 Jun 2011 04:56:22 -0500

sbackup (0.11.4-0ubuntu2) natty; urgency=low

  * Correctly set package format to 3.0 (quilt).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Feb 2011 09:02:37 -0500

sbackup (0.11.4-0ubuntu1) natty; urgency=low

  * [Fix] LP: #714916 Unhandled error in gio backend when looking up
                      verbose error message
  * [Fix] LP: #662613 sbackup crashes with 'NonValidOptionException'
  * [Fix] LP: #709338 Restore/revert of non-toplevel items produces only
                      empty folders
  * [Fix] LP: #689016 Uncaught error 'invalid literal for int() when
                      processing invalid configuration files
  * [Fix] LP: #697386 RemoteMountFailedError 'Max. number of password inputs
                      reached' not handled properly
  * [Fix] LP: #697654 No desktop session found: no notification icon:
  * [Fix] LP: #701403 Unable to use remote target without giving a password:
  * [Fix] LP: #588578 Email notification/reporting doesn't work with GMAIL
  * [Fix] LP: #706037 Email reports not working; enable debug output
                      for sending mail
  * [Fix] LP: #683990 Uncaught 'NoSectionError' when adding report settings
                      (SMTP server etc.)
  * [Fix] LP: #695613 Empty notification popup due to invalid markup
  * [Fix] LP: #671785 Parsing remote URIs fails when username or password
                      contains special characters; quote special characters
                      to comply with RFC 1738 sec. 3.1
  * [Fix] LP: #675361 Restore process fails with error 'is not a file' while
                      copying
  * [Fix] LP: #696183 Failed to set GID to `admin`; improved handling of
                      non-existent user groups
  * [Fix] LP: #507177 update translations
  * debian/control: added gconf2 and desktop-file-utils to Depends

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Tue, 08 Feb 2011 13:58:43 +0100
