=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Simple Backup Maintainers <nssbackup-team@lists.launchpad.net>
 Uploaders: Jean-Peer Lorenz <peer.loz@gmx.net>, Ouattara Oumar Aziz <wattazoum@gmail.com>
-Build-Depends: debhelper (>= 7), python-support (>= 0.90), python
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~)
 Standards-Version: 3.9.1
+X-Python-Version: >= 2.6
 
 Package: sbackup
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
+         gconf2,
          python-gobject,
          gvfs, gvfs-fuse, gvfs-backends
 Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
@@ -35,6 +37,7 @@
 Depends: sbackup(= ${binary:Version}),
          ${python:Depends},
          ${misc:Depends},
+         desktop-file-utils,
          libgtk2.0-bin,
          python-glade2,
          python-gtk2 (>= 2.10),
@@ -55,7 +58,7 @@
 Depends: sbackup(= ${binary:Version}),
          ${python:Depends},
          ${misc:Depends},
-         fuse-utils,
+         fuse,
          curlftpfs,
          sshfs,
          python-pexpect
