=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_pysupport /usr/share/sbackup
+	dh_python2 /usr/share/sbackup
 	dh_gconf
 	dh_installdeb
 	dh_gencontrol
